/*
	   windows

	http://proger.h10.ru
*/

#include <windows.h>

//   
LRESULT CALLBACK WndProc(HWND hWnd,UINT msg,WPARAM wParam,LPARAM lParam);

int WINAPI WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPSTR lpCmdLine,int iCmdShow)
{
	const char szClassName[]="MyApp";	//   
	WNDCLASSEX	wc;						
	MSG		msg;
	HWND	hWnd;
	
	//    wc
	wc.cbClsExtra=0;
	wc.cbSize=sizeof(wc);				//   wc
	wc.cbWndExtra=0;
	wc.hbrBackground=CreateSolidBrush(RGB(135,163,187));	//   
	wc.hCursor=LoadCursor(0,IDC_ARROW);						//   
	wc.hIcon=LoadIcon(hInstance,IDI_APPLICATION);			// 
	wc.hIconSm=LoadIcon(hInstance,IDI_APPLICATION);			//  
	wc.hInstance=hInstance;									//   
	wc.lpfnWndProc=WndProc;									//   
	wc.lpszClassName=szClassName;							//   
	wc.lpszMenuName=NULL;									//  
	wc.style=CS_HREDRAW | CS_VREDRAW;						// 
	

	//    
	if(!RegisterClassEx(&wc))
	{
		MessageBox(NULL,"     ","",MB_OK | MB_ICONSTOP);
		return -1;
	}

	//  
	hWnd=CreateWindow(	szClassName,			//   
						" ",				//  
						WS_OVERLAPPEDWINDOW,	//  
						CW_USEDEFAULT,			//  x
						CW_USEDEFAULT,			//  y
						CW_USEDEFAULT,			//  
						CW_USEDEFAULT,			//  
						0,						//   
						NULL,					//  
						hInstance,				//   
						NULL);					//  

	if(hWnd==NULL)
	{
		MessageBox(NULL,"    ","",MB_OK | MB_ICONSTOP);
		return -1;
	}

	ShowWindow(hWnd,SW_SHOW);	//    
	UpdateWindow(hWnd);			//     WM_PAINT

	//   
	while (GetMessage(&msg,0,0,0))
	{
		TranslateMessage(&msg); //   
		DispatchMessage(&msg);  //   
	}

	return 0;
}


//  

LRESULT CALLBACK WndProc(HWND hWnd,UINT msg,WPARAM wParam,LPARAM lParam)
{
	HDC hDC;
	PAINTSTRUCT ps;

	switch(msg)
	{
					
		case WM_PAINT:
			{
				hDC=BeginPaint(hWnd,&ps);

				// - 

				EndPaint(hWnd,&ps);
			}
			break;

		case WM_DESTROY:
			PostQuitMessage(0);
			break;
			
		default:
			return DefWindowProc(hWnd,msg,wParam,lParam);
	}

	return 0;
}